/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import type {
  Error400,
  Error500,
  SystemUI,
} from '../models';
import {
    Error400FromJSON,
    Error400ToJSON,
    Error500FromJSON,
    Error500ToJSON,
    SystemUIFromJSON,
    SystemUIToJSON,
} from '../models';

export interface ApiGetSystemGetRequest {
    path: string;
}

/**
 * 
 */
export class GetSystemApi extends runtime.BaseAPI {

    /**
     * Fetch a single system object
     * Retrieve a system
     */
    async apiGetSystemGetRaw(requestParameters: ApiGetSystemGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<runtime.ApiResponse<SystemUI>> {
        if (requestParameters.path === null || requestParameters.path === undefined) {
            throw new runtime.RequiredError('path','Required parameter requestParameters.path was null or undefined when calling apiGetSystemGet.');
        }

        const queryParameters: any = {};

        if (requestParameters.path !== undefined) {
            queryParameters['path'] = requestParameters.path;
        }

        const headerParameters: runtime.HTTPHeaders = {};

        const response = await this.request({
            path: `/api/getSystem`,
            method: 'GET',
            headers: headerParameters,
            query: queryParameters,
        }, initOverrides);

        return new runtime.JSONApiResponse(response, (jsonValue) => SystemUIFromJSON(jsonValue));
    }

    /**
     * Fetch a single system object
     * Retrieve a system
     */
    async apiGetSystemGet(requestParameters: ApiGetSystemGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<SystemUI> {
        const response = await this.apiGetSystemGetRaw(requestParameters, initOverrides);
        return await response.value();
    }

}
